summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2020-12-31 23:25:18 +0000
committerSam James <sam@gentoo.org>2021-01-01 00:00:36 +0000
commit8558e3c8f373126516caeeb6865a3f0bcc5c2ba2 (patch)
tree0f3fc26e747f820b72a5131673288a851257c176 /app-misc/byobu
parentHappy new year 2021! (diff)
downloadgentoo-8558e3c8f373126516caeeb6865a3f0bcc5c2ba2.tar.gz
gentoo-8558e3c8f373126516caeeb6865a3f0bcc5c2ba2.tar.bz2
gentoo-8558e3c8f373126516caeeb6865a3f0bcc5c2ba2.zip
app-misc/byobu: bump to 5.133
Package-Manager: Portage-3.0.9, Repoman-3.0.2 Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'app-misc/byobu')
-rw-r--r--app-misc/byobu/Manifest1
-rw-r--r--app-misc/byobu/byobu-5.133.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/app-misc/byobu/Manifest b/app-misc/byobu/Manifest
index 19a51267e2a..a944587036d 100644
--- a/app-misc/byobu/Manifest
+++ b/app-misc/byobu/Manifest
@@ -1 +1,2 @@
DIST byobu_5.130.orig.tar.gz 761162 BLAKE2B 8ad45f3f8cba9435638aced30022e67e927288ac7f7bcea7d464d248a3fa0edddf4716bf782d790b8ea75d249e86f19acb76aa706c875f525f1b3b1ae9c47321 SHA512 dae3d0de3f1a65e5f3a647c1135ecf89261bf2518fea44bb49e00109ba5e1e5a8939206bb85d97f45fa01482438b3bfcb6f9ddd03dbaa1a8caca807f95b279cf
+DIST byobu_5.133.orig.tar.gz 761655 BLAKE2B 796cfe22ba60a8cfe41ca6570e4c7f265dd249e7767086341903da7862037f39b1f49434b6dae36d12d82df1ee34306b815ff3f8e703eeedab79cf02e8d86a7d SHA512 4c0ef7a3b483e48c57f3e97dae1c7c77084797016efb677b201f2b56c6b9f4b771739d9a6d9a4fb612203a22e9fa460db80fde30c837b102ad830b1b2919db6c
diff --git a/app-misc/byobu/byobu-5.133.ebuild b/app-misc/byobu/byobu-5.133.ebuild
new file mode 100644
index 00000000000..f3913e0aafd
--- /dev/null
+++ b/app-misc/byobu/byobu-5.133.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit python-single-r1
+
+DESCRIPTION="A set of profiles for the GNU Screen console window manager (app-misc/screen)"
+HOMEPAGE="https://byobu.org"
+SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P/-/_}.orig.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="screen"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="${PYTHON_DEPS}
+ $(python_gen_cond_dep 'dev-libs/newt[${PYTHON_MULTI_USEDEP}]')
+ screen? ( app-misc/screen )
+ !screen? ( app-misc/tmux )"
+
+src_prepare() {
+ default
+
+ python_fix_shebang .
+
+ # Set default system backend to screen
+ if use screen ; then
+ sed -i -e 's/#\(BYOBU_BACKEND\).*/\1="screen"/' etc/byobu/backend || die
+ fi
+}
+
+src_install() {
+ default
+
+ # It's easier than forcing autoconf
+ mv "${ED}/usr/share/doc/${PN}/"* "${ED}/usr/share/doc/${PF}/" || die
+ rmdir "${ED}/usr/share/doc/${PN}" || die
+
+ # Create symlinks for backends
+ dosym ${PN} /usr/bin/${PN}-screen
+ dosym ${PN} /usr/bin/${PN}-tmux
+
+ docompress -x /usr/share/doc/${PN}
+}